Greek character in .svg wrong rendered for replacement- .png
Closed, ResolvedPublic

Description

Author: RainerBielefeldNG

Description:
The .svg from a.m. URL contains a "small type Phi", which will be replaced by a
"capital type Phi" in the replacement .png, which is created for using the image
in WIKIPEDIA articles.

Steps tor reproduce:

  1. open a.m. URL you will see the (wrong) "Φ" for the angle
  2. click 'Elevation_angle_0.svg' The .svg image will be shown in your browser (if it is able to show .svg images) with the correct letter "φ".

Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC
URL: http://commons.wikimedia.org/wiki/Image:Elevation_angle_0.svg

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5694.
bzimport created this task.Via LegacyApr 23 2006, 1:24 PM
bzimport added a comment.Via ConduitApr 27 2006, 10:42 AM

cdang wrote:

I also have a problem of this kind, where a Δ is replaced by a "D" in the
PNG version, compare

http://commons.wikimedia.org/wiki/Image:Ellingham-Richardson.svg

and

http://upload.wikimedia.org/wikipedia/commons/c/c3/Ellingham-Richardson.svg

there is also a problem with the arrow heads

daniel added a comment.Via ConduitApr 27 2006, 10:52 AM

For the problem with arrows, see bug 5325.

bzimport added a comment.Via ConduitApr 27 2006, 3:22 PM

cdang wrote:

Concerning the \Delta, I'll change the D in Symbol by the unicode character,
which may solve the problem.

bzimport added a comment.Via ConduitMay 3 2006, 7:24 AM

cdang wrote:

I've changed the D in symbol font by the unicode character Δ, and it did not
solve the problem: the delta does not appear at all in PNG rendering.

bzimport added a comment.Via ConduitJan 20 2007, 12:52 AM

kjoonlee wrote:

Could this be related to bug 8666?

tstarling added a comment.Via ConduitApr 18 2007, 10:18 PM

Both test cases appear to be fixed now, after installing more fonts. The problem
with the arrows is unrelated to the original report.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:50 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:53 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.